streaming-commons-0.1.14.2: Common lower-level functions needed by various streaming data libraries

Safe Haskell | Safe
Language | Haskell98

Data.Streaming.Process.Internal

Synopsis

- data StreamingProcessHandle = StreamingProcessHandle ProcessHandle (TMVar ExitCode)
- class InputSource a where
  - isStdStream :: (Maybe Handle -> IO a, Maybe StdStream)
- class OutputSink a where
  - osStdStream :: (Maybe Handle -> IO a, Maybe StdStream)

# Documentation

data StreamingProcessHandle

Wraps up the standard `ProcessHandle` to avoid the `waitForProcess` deadlock. See the linked documentation from the module header for more information.

Since 0.1.4

Constructors

StreamingProcessHandle ProcessHandle (TMVar ExitCode) |

class InputSource a where

Class for all things which can be used to provide standard input.

Since 0.1.4

Methods

isStdStream :: (Maybe Handle -> IO a, Maybe StdStream)

Instances

InputSource Handle |
InputSource ClosedStream |
InputSource Inherited |
InputSource UseProvidedHandle |

class OutputSink a where

Class for all things which can be used to consume standard output or error.

Since 0.1.4

Methods

osStdStream :: (Maybe Handle -> IO a, Maybe StdStream)

Instances

OutputSink Handle |
OutputSink ClosedStream |
OutputSink Inherited |
OutputSink UseProvidedHandle |